Skip to main content
GET
/
api
/
v1
/
public
/
citations
/
top-sources
Get Top Sources
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/citations/top-sources \
  --header 'Authorization: Bearer <token>'
[
  {
    "domain": "<string>",
    "citation_count": 123,
    "percentage": 123,
    "avg_position": 123
  }
]

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

time_range
enum<string> | null
Available options:
all_time,
1y,
1m,
1w,
1d
platforms[]
enum<string>[] | null
Available options:
ChatGPT,
Gemini,
AI Overviews,
Google AI Mode,
Perplexity,
Mistral,
Claude,
DeepSeek,
Grok,
Copilot
localizations[]
string[] | null
topic_ids[]
integer[] | null
group_by
string
default:domain
Pattern: ^(domain|url)$
limit
integer
default:10
Required range: 1 <= x <= 50
website_id
integer
required

Target website id

Response

Successful Response

domain
string
required
citation_count
integer
required
percentage
number | null
avg_position
number | null